<?php
/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
if (!eregi($_SERVER['SERVER_NAME'], $_SERVER['HTTP_REFERER'])) {exit();}
if ($userlogined==true) {
include "../../plug/userSign/conf.inc.php";
if(userSign_open=="no") {exit('已关闭签到功能');}
	if (!IsNumID($CcTvAi_com_userid)) {exit('数据异常！');}
	$sql="select cd_id,cd_name,cd_signd,cd_signdtime from " . tname('user') . " where cd_id='" . $CcTvAi_com_userid . "'";
	if ($row=$db->getrow($sql)) {
		if (DateDiff(date("Y-m-d", strtotime($row['cd_signdtime'])), date("Y-m-d"))==0) {
			echo '今天已经签过到了！';
		} else {
			if (DateDiff(date("Y-m-d", strtotime($row['cd_signdtime'])), date('Y-m-d', strtotime('-1 day')))==0) {
				$db->query("update " . tname('user') . " set cd_signd=cd_signd+'1',cd_signdcumu=cd_signdcumu+'1',cd_signdtime='" . date('Y-m-d H:i:s') . "' where cd_id='" . $CcTvAi_com_userid . "'");
				$cd_sign=($row['cd_signd']+'1');
			} else {
				$db->query("update " . tname('user') . " set cd_signd=1,cd_signdcumu=cd_signdcumu+'1',cd_signdtime='" . date('Y-m-d H:i:s') . "' where cd_id='" . $CcTvAi_com_userid . "'");
				$cd_sign='1';
			}
			if($CcTvAi_com_checkmm == "1"){
				$cd_points=rand(1,userSignpoints);
				$cd_points=$cd_points*2;
			}else{
				$cd_points=rand(1,userSignpoints);
			}
			$db->query("update " . tname('user') . " set cd_points=cd_points+'" . $cd_points . "' where cd_id='" . $CcTvAi_com_userid . "'");
			//记录账单
			$setarr=array(
				'cd_type' => 1, //1为加,0为减
				'cd_uid' => $CcTvAi_com_userid,
				'cd_uname' => $CcTvAi_com_username,
				'cd_icon' => 'sign',
				'cd_title' => '每日签到',
				'cd_points' => $cd_points,
				'cd_state' => 0,
				'cd_addtime' => date('Y-m-d H:i:s'),
				'cd_endtime' => getendtime()
			);
			inserttable('bill', $setarr, 1);
			echo'第'.$cd_sign.'次签到,奖励：' . $cd_points . '个金币！';
		}
	}
} else {
	echo'请先登录！';
}
?>